For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Contact object
          • GET/contacts
          • POST/contacts
          • GET/contacts/{id}
          • PATCH/contacts/{id}
          • POST/contacts/ignore/{model_id}
          • GET/contacts/meta/patch/{id}
          • GET/contacts/meta/post
          • GET/contacts/remote-field-classes

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsContacts

/contacts/{id}

GET
/crm/v1/contacts/:id
GET
/api/crm/v1/contacts/:id
$curl -G https://api.merge.dev/api/crm/v1/contacts/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=account
200Retrieved
1{
2 "id": "550e8400-e29b-41d4-a716-446655440000",
3 "remote_id": "19202938",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "first_name": "Gil",
7 "last_name": "Feig",
8 "account": "0958cbc6-6040-430a-848e-aafacbadf4ae",
9 "owner": "b8fbfc30-0982-420e-8c20-dab07b70b9d6",
10 "addresses": [
11 {
12 "created_at": "2021-09-15T00:00:00Z",
13 "modified_at": "2021-10-16T00:00:00Z",
14 "street_1": "50 Bowling Green Dr",
15 "street_2": "Golden Gate Park",
16 "city": "San Francisco",
17 "state": "CA",
18 "postal_code": "94122",
19 "country": "US",
20 "address_type": "BILLING"
21 }
22 ],
23 "email_addresses": [
24 {
25 "email_address": "[email protected]",
26 "email_address_type": "Work"
27 }
28 ],
29 "phone_numbers": [
30 {
31 "created_at": "2021-09-15T00:00:00Z",
32 "modified_at": "2021-10-16T00:00:00Z",
33 "phone_number": "+13785579223",
34 "phone_number_type": "Mobile"
35 }
36 ],
37 "last_activity_at": "2022-02-10T00:00:00Z",
38 "remote_created_at": "2021-11-10T00:00:00Z",
39 "contact_url": "https://crm.example.com/contacts/19202938",
40 "remote_was_deleted": true,
41 "field_mappings": {
42 "organization_defined_targets": {
43 "custom_key": "custom_value"
44 },
45 "linked_account_defined_targets": {
46 "custom_key": "custom_value"
47 }
48 },
49 "remote_data": [
50 {
51 "path": "/contacts",
52 "data": null
53 }
54 ],
55 "remote_fields": [
56 {
57 "remote_field_class": {
58 "id": "string",
59 "display_name": "string",
60 "remote_key_name": "string",
61 "description": "string",
62 "is_custom": true,
63 "is_common_model_field": true,
64 "is_required": true,
65 "field_type": "string",
66 "field_format": "string",
67 "field_choices": [
68 "string"
69 ],
70 "item_schema": {
71 "item_type": "string",
72 "item_format": "string",
73 "item_choices": [
74 "string"
75 ]
76 }
77 },
78 "value": "string"
79 }
80 ]
81}

Returns a Contact object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/contacts

Next

/contacts/{id}

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandlist of enumsOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_remote_fieldsbooleanOptional
Whether to include all remote fields, including fields that Merge did not map to common models, in a normalized format.
include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
first_namestring or null
The contact's first name.
last_namestring or null
The contact's last name.
accountstring or nullformat: "uuid"
The contact's account.
ownerstring or nullformat: "uuid"
The contact's owner.
addresseslist of objects
email_addresseslist of objects
phone_numberslist of objects
last_activity_atdatetime or null
When the contact's last activity occurred.
remote_created_atdatetime or null
When the third party's contact was created.
contact_urlstring or nullformat: "uri"<=2000 characters
The contact's URL in the remote system.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only
remote_fieldslist of objectsRead-only